Docs Submit task /mj/submit/action
API reference

Execute Action

Execute Upscale, Variation, Reroll, Pan, and other actions on an existing task.

POST/mj/submit/action

Body Parametersapplication/json

chooseSameChannel boolean

Whether to pick an account from the same Discord channel; by default only the account associated with the task is used

customId* string

Action identifier

notifyHook string

Callback URL; falls back to the global notifyHook when empty

state string

Custom passthrough parameter

taskId* string

Task ID

Responses

200 application/json
response-200 object
properties
created* integer

Creation time (Unix timestamp)

data* array

Data payload (often Base64 or a structured object)

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example Execute Action action
1{
2"botType": "MID_JOURNEY",
3"customId": "MJ::JOB::upsample::1::xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
4"taskId": "1743326750223591"
5}
Code Sample cURL
1curl -X POST "https://api.digislash.com/mj/submit/action" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"botType": "MID_JOURNEY",
6"customId": "MJ::JOB::upsample::1::xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
7"taskId": "1743326750223591"
8}'
Response
1▼{
2"created": 1589478378,
3▼"data": [
4▶{ 1 keys },
5▶{ 1 keys }
6]
7}